Feature: Advertisement Deletion

  Scenario: Successfully delete an advertisement
    Given a user with the username "johndoe" exists and is logged in
    And an advertisement titled "Sample Ad" exists created by "johndoe"
    When I delete the advertisement titled "Sample Ad"
    Then the advertisement should be deleted successfully
    And I should see a success message "Advertisement deleted successfully."
    And I should be redirected to the advertisements page
    And the advertisement should no longer exist in the database
    And my session should still be active with the user logged in