Feature: View Advertisement Favorites

  Scenario: Viewing the user's favorite advertisements
    Given a logged-in user has added advertisements to their favorites list
    When the user navigates to the "My Favorites" page
    Then the user should see a list of their favorite advertisements
    
  Scenario: Viewing no favorite advertisements for a user with an empty favorites list
    Given a logged-in user has no favorite advertisements
    When the user navigates to the "My Favorites" page
    Then the user should see a message indicating "No favorites yet"

  Scenario: Attempting to view favorites as a non-logged-in user
    Given a non-logged-in user tries to access the "My Favorites" page
    When the user attempts to navigate to the "My Favorites" page
    Then the user should be redirected to the homepage
    And the user should see a message indicating "You must be logged in to view your favorites."
