Feature: View Property Details

  Scenario: Viewing property details
    Given a valid property ID exists
    When a user opens the property details page
    Then the system should display the property title, description, location, price, square meters, type, and rooms
    And the system should display the property pictures in a gallery layout
    And the property state should be displayed prominently

  Scenario: Handling invalid property IDs
    Given a user tries to access a property that does not exist
    When they open the property details page
    Then the system should display a 404 error with a meaningful message

  Scenario: Restricting unauthorized access
    Given an unauthorized user attempts to view a property
    When they open the property details page
    Then the system should display a 403 error indicating restricted access
