Feature: View Owner's Profile
  As a user,
  I want to view the owner's profile when browsing advertisements,
  So that I can learn more about the owner and their listings.

  Scenario: Homepage shows 'View Profile' buttons for each advertisement
    Given I am on the homepage
    When I am viewing an advertisement that belongs to an owner with active advertisements
    Then I see a button to view the owner's profile

  Scenario: Clicking the 'View Profile' button opens the owner's profile page
    Given I am on the homepage
    And an advertisement has a 'View Profile' button
    When I click on the 'View Profile' button for an advertisement
    Then I am redirected to the owner's profile page

  Scenario: Owner's profile page displays the owner's details and active advertisements
    Given I am on the owner's profile page
    When the owner has active advertisements
    Then I see the owner's profile details
    And I see a list of the owner's active advertisements
