Feature: Search Results Display based on Interested/Not Interested

  Scenario: Display properties in the correct order based on availability and interest status
    Given a user performs a search for properties
    When the search results are displayed
    Then the results should first show available properties not marked as "Not Interested"
    And then show reserved properties not marked as "Not Interested"
    And then show available properties marked as "Not Interested"
    And finally show reserved properties marked as "Not Interested"

  Scenario: Results fail to display properties in the correct order
    Given a user performs a search for properties!
    When the search results are displayed!
    Then the results should fail to show available properties not marked as "Not Interested" first
    And then fail to show reserved properties not marked as "Not Interested"
    And then fail to show available properties marked as "Not Interested"
    And finally fail to show reserved properties marked as "Not Interested"
