Feature: Display available properties first in search results

  Scenario: Available properties are displayed before reserved ones
    Given I am a user on the property search page
    And I have searched for properties with certain criteria (e.g., type, location, price)
    When the search results are displayed
    Then I should see the available properties listed before the reserved properties

Scenario: Reserved properties appear before available ones (Negative Test)
    Given I am a user on the property search page
    And I have searched for properties with certain criteria (e.g., type, location, price)
    When the search results are displayed
    Then I should see an error if reserved properties are listed before available ones