Feature: Past Searches Access

  Scenario: Successfully view past searches when logged in
    Given a user with the username "johndoe" exists and is logged in
    And the user has made a past search with the query "apartment" in "Tallinn" for type "rent"
    When I visit the past searches page
    Then I should see a list of past searches
    And the past search with the query "apartment" should be displayed
    And the location "Tallinn" should be displayed
    And the type "rent" should be displayed
    And my session should still be active with the user logged in

  Scenario: Negative Case: Redirect to login page if try to access past searches
    Given I am not logged in
    When I visit the past searches page
    Then I should be redirected to the login page
    And I should see a message "You need to log in to access past searches."
