defmodule WhiteBreadConfig do
  use WhiteBread.SuiteConfiguration

  suite name:          "1.1_2Auth_Suite",
        context:       ProptrackerWeb.Features.Contexts.AuthContext,
        feature_paths: ["features/1.1_2_auth.feature"]

  suite name: "1.3_Logout_Suite",
        context: ProptrackerWeb.LogoutContext,
        feature_paths: ["features/1.3_logout.feature"]

  suite name:          "1.4_Delete_Suite",
            context:       ProptrackerWeb.UserDeleteContext,
            feature_paths: ["features/1.4_delete.feature"]


  suite name:          "1.13_DeleteAdv_Suite",
        context:       ProptrackerWeb.AdvertisementDeleteContext,
        feature_paths: ["features/1.13_delete_adv.feature"]

#   suite name:           "2.3_Recommended_Price_Suite",
#         context:        ProptrackerWeb.RecommendedPriceContext,
#         feature_paths:   ["features/2.3_recommended_price.feature"]


  suite name:          "3.10_Show_Adv_Suite",
            context:       ProptrackerWeb.AdvertisementShowContext,
            feature_paths: ["features/3.10_show_adv.feature"]

  suite name:          "1.11_Advert_Suite",
            context:       ProptrackerWeb.Features.Contexts.AdvertisementContext,
            feature_paths: ["features/1.11_advert.feature"]

  suite name:          "5.5_PastSearches_Suite",
            context:       ProptrackerWeb.Features.Contexts.PastSearchesContext,
            feature_paths: ["features/5.5_past_searches.feature"]

 suite name:          "5.5_FilterSearches_Suite",
            context:       ProptrackerWeb.Features.Contexts.FilterSearchContext,
            feature_paths: ["features/3.1_2_etc_search.feature"]


 suite name:          "3.7_Adv_Sequence",
            context:       ProptrackerWeb.SearchResultsContext,
            feature_paths: ["features/3.7_adv_sequence.feature"]

 suite name:           "3.15_recommended_properties_Suite",
            context:       ProptrackerWeb.Features.Contexts.RecommendedPropertiesContext,
            feature_paths: ["features/3.15_recommended_properties.feature"]

 suite name:          "4.3.5_Add_remove_favorite_Suite",
            context:       ProptrackerWeb.FavoritesContext,
            feature_paths: ["features/4.3.5_add_remove_fav.feature"]


 suite name:          "ef01_GoogleMap_Suite",
            context:       ProptrackerWeb.GoogleMapContext,
            feature_paths: ["features/ef01_googlemap.feature"]

 suite name:          "1.15_View_fav_adv_Suite",
            context:       ProptrackerWeb.ViewFavoritesContext,
            feature_paths: ["features/1.15_view_fav_adv.feature"]

 suite name:          "3.9_available_Suite",
            context:       ProptrackerWeb.Features.Contexts.PropertySearchContext,
            feature_paths: ["features/3.9_available_search.feature"]


 suite name:          "3.6_SoldRent_Suite",
            context:       ProptrackerWeb.Features.Contexts.SoldRent,
            feature_paths: ["features/3.6_soldrent.feature"]

 suite name:          "3.90_OwnerPhone_Suite",
            context:       ProptrackerWeb.ContactButtonContext,
            feature_paths: ["features/3.90_ownerphone.feature"]

 suite name:          "3.11_owner_profile_Suite",
            context:       ProptrackerWeb.ViewOwnerProfileContext,
            feature_paths: ["features/3.11_owner_profile.feature"]

 suite name:          "3.4_interest_Suite",
            context:       ProptrackerWeb.InterestsContext,
            feature_paths: ["features/3.4_interest.feature"]

suite name:          "2.2_own_adv_show",
            context:       ProptrackerWeb.OwnAdvertisementShow,
            feature_paths: ["features/2.2_own_adv_show.feature"]

suite name:          "ef02_Social_Suite",
            context:       ProptrackerWeb.SocialMediaContext,
            feature_paths: ["features/ef02_social.feature"]

 suite name:          "ef02_HeaderLinks_Suite",
            context:       ProptrackerWeb.HeaderLinksContext,
            feature_paths: ["features/5.1_homelinks.feature"]

end
