Feature: User Logout

Scenario: User logs out successfully
  Given a logged-in user
  When the user logs out
  Then the user should be redirected to the login page

Scenario: User fails to log out due to a session issue
  Given a user is logged-in
  When the user attempts to log out
  Then the user should see an error message "Unable to log out. Please try again."
  And the user should remain on the current page
