Feature: User Deletion

  Scenario: Successfully delete a user
    Given a user with the username "johndoe" exists
    When I delete the user with the username "johndoe"
    Then the user should be deleted successfully
    And I should see a success message "User deleted successfully."
    And I should be redirected to the users page

  Scenario: Attempt to delete an account session failed
    Given I am logged in with the username "johndoe"
    When I attempt to delete my account
    Then the account should not be deleted
    And I should receive an error message stating "Session failed"
    And I should remain on the current page

