Feature: User can view the list of owned advertisements

  Scenario: Viewing owned advertisements when logged in
    Given I am logged in as a valid user with advertisements
    And I have at least one advertisement listed in my account
    When I visit the advertisements page
    Then I should see a list of advertisements owned by me

  Scenario: Viewing owned advertisements when not logged in
    Given I am not logged in
    When I visit the advertisement page
    Then I should be redirected to the login page

  Scenario: Searching advertisements by type, location, or query
    Given I am logged in as a valid user
    When I search for advertisements with type "apartment" and location "city center"
    Then I should see a list of advertisements of type "apartment" in "city center"
