Feature: Header Links Display

  Scenario: User sees the correct header links when not logged in
    Given the user is not logged in
    When the user navigates to the home page
    Then the page should display "Home", "Our Team", "Login", and "Register" links
    And the page should not display a "Logout" link

  Scenario: User sees the correct header links when logged in
    Given the user is logged in
    When the user navigates to the home page
    Then the page should display "Home", "Our Team", and "Logout" links
    And the page should not display "Login" or "Register" links
