defmodule Proptracker.Repo.Migrations.CreateSearchHistories do
  use Ecto.Migration

  def change do
    create table(:search_histories) do
      add :type, :string
      add :location, :string
      add :query, :string
      add :user_id, references(:users, on_delete: :delete_all)

      timestamps()
    end
  end
end
